This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 467389 - (mingw32-pthreads) Review Request: mingw32-pthreads - MinGW pthread library
Review Request: mingw32-pthreads - MinGW pthread library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Levente Farkas
Fedora Extras Quality Assurance
:
Depends On: mingw32-gcc
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 05:32 EDT by Richard W.M. Jones
Modified: 2009-01-14 21:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 05:07:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lfarkas: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-17 05:32:00 EDT
Spec URL: http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=82a0662b5376fe1a90612ed85628670c902a43d3;path=/pthreads/
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-pthreads-2.8.0-2.fc9.src.rpm
Description:
Win32 does not, and is unlikely to ever, support pthreads
natively. This project seeks to provide a freely available and
high-quality solution to this problem.

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Levente Farkas 2008-12-02 16:36:50 EST
replace %{crazy_version} with 
`echo %{version}|tr . -`
it's much easier to see in place and don't have to change when the version change (although it's not changed for years)

in the build section put the clean after the first build:
make CROSS=%{_mingw32_host}- GC-inlined
make clean
make CROSS=%{_mingw32_host}- GCE-inlined
afais GCE-inlined has different defines so probably a clean would be
useful before the next target.

add -mms-bitfields or even better %_mingw32_cflags to OPT probably only
way to do this is a patch for the makefile.
Comment 4 Levente Farkas 2009-01-11 10:44:21 EST
the latest mercurial spec file and patchs are good.

 This package (mingw32-pthreads) is APPROVED by lfarkas
Comment 5 Richard W.M. Jones 2009-01-13 05:54:10 EST
I made some small (non-functional) cleanups to the spec file
and did a scratch-build in Koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1049150
Comment 6 Richard W.M. Jones 2009-01-13 05:55:50 EST
New Package CVS Request
=======================
Package Name: mingw32-pthreads
Short Description: MinGW pthread library
Owners: rjones berrange lfarkas
Branches: F-10 EL-5
InitialCC:
Comment 7 Kevin Fenzi 2009-01-13 15:35:25 EST
cvs done.
Comment 8 Richard W.M. Jones 2009-01-14 05:07:51 EST
Thanks everyone for helping out with this.

It's now built in EL-5, F-10 and Rawhide.
Comment 9 Fedora Update System 2009-01-14 05:10:39 EST
mingw32-pthreads-2.8.0-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-pthreads-2.8.0-4.fc10
Comment 10 Fedora Update System 2009-01-14 21:55:24 EST
mingw32-pthreads-2.8.0-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.